Loading...
Searching...
No Matches
_ResampleFilter Struct Reference

## Data Fields

CacheView * | view
Image * | image
ExceptionInfo * | exception
MagickBooleanType | debug
ssize_t | image_area
PixelInterpolateMethod | interpolate
VirtualPixelMethod | virtual_pixel
FilterType | filter
MagickBooleanType | limit_reached
MagickBooleanType | do_interpolate
MagickBooleanType | average_defined
PixelInfo | average_pixel
double | A
double | B
double | C
double | Vlimit
double | Ulimit
double | Uwidth
double | slope
double | filter_lut [WLUT_WIDTH]
double | support
size_t | signature

## Detailed Description

Definition at line 93 of file resample.c.

## Field Documentation

## A

double _ResampleFilter::A

Definition at line 131 of file resample.c.

## average_defined

MagickBooleanType _ResampleFilter::average_defined

Definition at line 124 of file resample.c.

## average_pixel

PixelInfo _ResampleFilter::average_pixel

Definition at line 127 of file resample.c.

## B

double _ResampleFilter::B

Definition at line 131 of file resample.c.

## C

double _ResampleFilter::C

Definition at line 131 of file resample.c.

## debug

MagickBooleanType _ResampleFilter::debug

Definition at line 105 of file resample.c.

## do_interpolate

MagickBooleanType _ResampleFilter::do_interpolate

Definition at line 123 of file resample.c.

## exception

ExceptionInfo* _ResampleFilter::exception

Definition at line 102 of file resample.c.

## filter

FilterType _ResampleFilter::filter

Definition at line 118 of file resample.c.

## filter_lut

double _ResampleFilter::filter_lut[WLUT_WIDTH]

Definition at line 137 of file resample.c.

## image

Image* _ResampleFilter::image

Definition at line 99 of file resample.c.

## image_area

ssize_t _ResampleFilter::image_area

Definition at line 109 of file resample.c.

## interpolate

PixelInterpolateMethod _ResampleFilter::interpolate

Definition at line 112 of file resample.c.

## limit_reached

MagickBooleanType _ResampleFilter::limit_reached

Definition at line 122 of file resample.c.

## signature

size_t _ResampleFilter::signature

Definition at line 152 of file resample.c.

## slope

double _ResampleFilter::slope

Definition at line 132 of file resample.c.

## support

double _ResampleFilter::support

Definition at line 149 of file resample.c.

## Ulimit

double _ResampleFilter::Ulimit

Definition at line 132 of file resample.c.

## Uwidth

double _ResampleFilter::Uwidth

Definition at line 132 of file resample.c.

## view

CacheView* _ResampleFilter::view

Definition at line 96 of file resample.c.

## virtual_pixel

VirtualPixelMethod _ResampleFilter::virtual_pixel

Definition at line 115 of file resample.c.

## Vlimit

double _ResampleFilter::Vlimit

Definition at line 132 of file resample.c.

The documentation for this struct was generated from the following file:

- resample.c